// Vue全局变量统一注册
import Vue from 'components/lj-base-vue'
import app from './main.vue'

import Eruda from 'eruda'

var vm;
let newAppPath = null;
// initVue();
window.apiready = function() {
    // var permission = ['storage', 'storage-r', 'storage-w', 'camera', 'photos', 'photos-w'];
    // var resultList = api.hasPermission({
    //     list: permission
    // });
    // console.log('window.apiready resultList :>>>>>>>>>>>>>>>>>>>>>', JSON.stringify(resultList));
    // if (!resultList[0].granted) {
    //     api.requestPermission({
    //         list: permission,
    //     }, function(res) {
    //         initVue();
    //         // Eruda.init();
    //     });
    // } else {
    //     initVue();
    //     // Eruda.init();
    // }
    initVue();
    Eruda.init();
};
function initVue() {
    vm = new Vue({
        el: '#app',
        render: h => h(app)
    })
}